# Enum Class VulkanImageAspectFlag

java.lang.Object
java.lang.Enum<VulkanImageAspectFlag>
com.io7m.jcoronado.api.VulkanImageAspectFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanImageAspectFlag>`, `Constable`

public enum VulkanImageAspectFlag extends Enum<VulkanImageAspectFlag> implements VulkanEnumBitmaskType
Bitmask specifying which aspects of an image are included in a view.

See Also:
  - "VkImageAspectFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_IMAGE_ASPECT_COLOR_BIT`
  Specifies the color aspect
  `VK_IMAGE_ASPECT_DEPTH_BIT`
  Specifies the depth aspect
  `VK_IMAGE_ASPECT_METADATA_BIT`
  Specifies the metadata aspect, used for sparse sparse resource operations
  `VK_IMAGE_ASPECT_PLANE_0_BIT`
  Specifies plane 0
  `VK_IMAGE_ASPECT_PLANE_1_BIT`
  Specifies plane 1
  `VK_IMAGE_ASPECT_PLANE_2_BIT`
  Specifies plane 2
  `VK_IMAGE_ASPECT_STENCIL_BIT`
  Specifies the stencil aspect

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanImageAspectFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanImageAspectFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_IMAGE_ASPECT_COLOR_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_COLOR_BIT
    Specifies the color aspect

  - ### VK_IMAGE_ASPECT_DEPTH_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_DEPTH_BIT
    Specifies the depth aspect

  - ### VK_IMAGE_ASPECT_STENCIL_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_STENCIL_BIT
    Specifies the stencil aspect

  - ### VK_IMAGE_ASPECT_METADATA_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_METADATA_BIT
    Specifies the metadata aspect, used for sparse sparse resource operations

  - ### VK_IMAGE_ASPECT_PLANE_0_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_PLANE_0_BIT
    Specifies plane 0

  - ### VK_IMAGE_ASPECT_PLANE_1_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_PLANE_1_BIT
    Specifies plane 1

  - ### VK_IMAGE_ASPECT_PLANE_2_BIT

    public static final VulkanImageAspectFlag VK_IMAGE_ASPECT_PLANE_2_BIT
    Specifies plane 2

- ## Method Details

  - ### values

    public static VulkanImageAspectFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanImageAspectFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant